Saltar al contenido principal
GET
/
2
/
webhooks
Obtener webhook
curl --request GET \
  --url https://api.x.com/2/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "id": "1146654567674912769",
      "url": "<string>",
      "valid": true
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "result_count": 123
  }
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de consulta

webhook_config.fields
enum<string>[]

Una lista separada por comas de campos de WebhookConfig que se deben devolver. Los campos disponibles para un objeto WebhookConfig.

Minimum array length: 1
Opciones disponibles:
created_at,
id,
url,
valid
Ejemplo:
["created_at", "id", "url", "valid"]

Respuesta

La solicitud se completó correctamente.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).

meta
object